#include <iostream>
#include <cmath>

int
main( int argCount, char ** argVector ) 
{
    const double duration = 2.0;
    const double deltaTime = 0.05;
    const double radius = 10.0;

    int entryCount = static_cast< int >( duration / deltaTime ) + 1;

    for( int ii = 0; ii < entryCount; ii++ ) {

        double time = ii * deltaTime;
        double frac = ii / ( double )entryCount;

        double angle = 2.0 * M_PI * frac;

        double xPos = radius * std::cos( angle );
        double yPos = radius * std::sin( angle );
        double zPos = 0.0;

        double xAngle = 0.0;
        double yAngle = 0.0;
        double zAngle = angle + M_PI;

        if( zAngle > 2.0 * M_PI ) {
            zAngle -= 2.0 * M_PI;
        }

        std::cout << time << " "
            << xPos << " " << yPos << " " << zPos << " "
            << xAngle << " " << yAngle << " " << zAngle
            << std::endl;
    }
}
